Package org.linphone.core

# Enum Class ZrtpKeyAgreement

java.lang.Object
java.lang.Enum<ZrtpKeyAgreement>
org.linphone.core.ZrtpKeyAgreement

All Implemented Interfaces:
  `Serializable`, `Comparable<ZrtpKeyAgreement>`, `Constable`

public enum ZrtpKeyAgreement extends Enum<ZrtpKeyAgreement>
Enum describing the ZRTP key exchange algorithns.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Dh2K`
`Dh3K`
`Ec25`
`Ec38`
`Ec52`
`Hqc1`
`Hqc2`
`Hqc3`
`Invalid`
`K255`
`K255Hqc128`
`K255Kyb512`
`K255Kyb512Hqc128`
`K255Mlk512`
`K448`
`K448Hqc256`
`K448Kyb1024`
`K448Kyb1024Hqc256`
`K448Mlk1024`
`Kyb1`
`Kyb2`
`Kyb3`
`Mlk1`
`Mlk2`
`Mlk3`
`X255`
`X448`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ZrtpKeyAgreement`
`fromInt(int value)`
`protected static ZrtpKeyAgreement[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(ZrtpKeyAgreement[] values)`
`static ZrtpKeyAgreement`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ZrtpKeyAgreement[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Invalid

public static final ZrtpKeyAgreement Invalid

### Dh2K

public static final ZrtpKeyAgreement Dh2K

### Dh3K

public static final ZrtpKeyAgreement Dh3K

### Ec25

public static final ZrtpKeyAgreement Ec25

### Ec38

public static final ZrtpKeyAgreement Ec38

### Ec52

public static final ZrtpKeyAgreement Ec52

### X255

public static final ZrtpKeyAgreement X255

### X448

public static final ZrtpKeyAgreement X448

### K255

public static final ZrtpKeyAgreement K255

### K448

public static final ZrtpKeyAgreement K448

### Kyb1

public static final ZrtpKeyAgreement Kyb1

### Kyb2

public static final ZrtpKeyAgreement Kyb2

### Kyb3

public static final ZrtpKeyAgreement Kyb3

### Hqc1

public static final ZrtpKeyAgreement Hqc1

### Hqc2

public static final ZrtpKeyAgreement Hqc2

### Hqc3

public static final ZrtpKeyAgreement Hqc3

### K255Kyb512

public static final ZrtpKeyAgreement K255Kyb512

### K255Hqc128

public static final ZrtpKeyAgreement K255Hqc128

### K448Kyb1024

public static final ZrtpKeyAgreement K448Kyb1024

### K448Hqc256

public static final ZrtpKeyAgreement K448Hqc256

### K255Kyb512Hqc128

public static final ZrtpKeyAgreement K255Kyb512Hqc128

### K448Kyb1024Hqc256

public static final ZrtpKeyAgreement K448Kyb1024Hqc256

### Mlk1

public static final ZrtpKeyAgreement Mlk1

### Mlk2

public static final ZrtpKeyAgreement Mlk2

### Mlk3

public static final ZrtpKeyAgreement Mlk3

### K255Mlk512

public static final ZrtpKeyAgreement K255Mlk512

### K448Mlk1024

public static final ZrtpKeyAgreement K448Mlk1024

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ZrtpKeyAgreement[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ZrtpKeyAgreement valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ZrtpKeyAgreement fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static ZrtpKeyAgreement[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(ZrtpKeyAgreement[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()